## golang-github-weppos-publicsuffix-go 0.15.0

=== Makefile ===
test:
	go test ./... -v

gen:
	go generate ./...

clean:
	rm publicsuffix/rules.*

get-deps:
	go get ./...

=== debian/changelog ===
golang-github-weppos-publicsuffix-go (0.15.0-5) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version
  * Override lintian hints for test files

 -- Peymaneh <peymaneh@posteo.net>  Mon, 28 Nov 2022 13:52:43 +0100

golang-github-weppos-publicsuffix-go (0.15.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-weppos-publicsuffix-go-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 04:12:25 +0000

golang-github-weppos-publicsuffix-go (0.15.0-3) unstable; urgency=medium

  * Prepare source only upload for testing migration.

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 24 Aug 2021 14:46:29 +0200

golang-github-weppos-publicsuffix-go (0.15.0-2) unstable; urgency=medium

  * d/control: Add dependencies

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sat, 10 Jul 2021 18:43:03 +0200

golang-github-weppos-publicsuffix-go (0.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #989859)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Wed, 23 Jun 2021 19:06:07 +0530

=== debian/control ===
Source: golang-github-weppos-publicsuffix-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev,
               golang-github-google-go-github-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-weppos-publicsuffix-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-weppos-publicsuffix-go.git
Homepage: https://github.com/weppos/publicsuffix-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/weppos/publicsuffix-go

Package: golang-github-weppos-publicsuffix-go-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         golang-github-google-go-github-dev,
         ${misc:Depends}
Multi-Arch: foreign
Description: Domain name parser on the Public Suffix List (library)
 Public Suffix for Go The package publicsuffix provides a Go domain name
 parser based on the Public Suffix List (http://publicsuffix.org/).
 .
 GoDoc
 (https://pkg.go.dev/github.com/weppos/publicsuffix-go/publicsuffix)
 .
 Tests
 (https://github.com/weppos/publicsuffix-go/actions?query=workflow%3ATests)
 .
 There are 3 different test suites built into this library:
   * Acceptance: the acceptance test suite contains some high level
 tests to ensure the library behaves as expected
   * PSL: the PSL test suite runs the library against the official Public
 Suffix test cases
 (https://github.com/publicsuffix/list/blob/master/tests/tests.txt)
   * Unit: the unit test suite stresses the various single components of this
 package

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd/
export DH_GOLANG_INSTALL_EXTRA := fixtures/list-simple.txt fixtures/tests.txt

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-weppos-publicsuffix-go-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/weppos/publicsuffix-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-weppos-publicsuffix-go 0.30.1

=== debian/changelog ===
golang-github-weppos-publicsuffix-go (0.30.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.30.1
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Strip "/v50" from "github.com/google/go-github/v50/github"
    (or any other future versions) from publicsuffix/generator/gen.go
    in execute_after_dh_auto_configure target in debian/rules

 -- Anthony Fok <foka@debian.org>  Fri, 15 Mar 2024 11:46:34 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: golang-github-weppos-publicsuffix-go
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Peymaneh <peymaneh@posteo.net>
-Section: golang
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
+               golang-any,
+               golang-golang-x-net-dev (>= 1:0.12.0),
+               golang-github-google-go-github-dev (>= 50.2.0)
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-any,
-               golang-golang-x-net-dev,
-               golang-github-google-go-github-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-weppos-publicsuffix-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-weppos-publicsuffix-go.git
 Homepage: https://github.com/weppos/publicsuffix-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/weppos/publicsuffix-go
 
 Package: golang-github-weppos-publicsuffix-go-dev
 Architecture: all
-Depends: golang-golang-x-net-dev,
-         golang-github-google-go-github-dev,
+Multi-Arch: foreign
+Depends: golang-golang-x-net-dev (>= 1:0.12.0),
+         golang-github-google-go-github-dev (>= 50.2.0),
          ${misc:Depends}
-Multi-Arch: foreign
 Description: Domain name parser on the Public Suffix List (library)
  Public Suffix for Go The package publicsuffix provides a Go domain name
  parser based on the Public Suffix List (http://publicsuffix.org/).

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd/
export DH_GOLANG_INSTALL_EXTRA := fixtures/list-simple.txt fixtures/tests.txt

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	sed -i -e 's#go-github/v[0-9]\+/github#go-github/github#' \
	    _build/src/github.com/weppos/publicsuffix-go/publicsuffix/generator/gen.go
